# SIPSubscribe::EventPackage Class Reference

`#include <sippdu.h>`

## Public Member Functions

| EventPackage (PredefinedPackages=NumPredefinedPackages)
| EventPackage (const PString &str)
| EventPackage (const char *str)
EventPackage & | operator= (PredefinedPackages pkg)
EventPackage & | operator= (const PString &str)
EventPackage & | operator= (const char *str)
bool | operator== (PredefinedPackages pkg) const
bool | operator== (const PString &str) const
bool | operator== (const char *cstr) const
virtual Comparison | InternalCompare (PINDEX offset, PINDEX length, const char *cstr) const
bool | IsWatcher () const

## Constructor & Destructor Documentation

SIPSubscribe::EventPackage::EventPackage | ( | PredefinedPackages | = `NumPredefinedPackages` | ) |

SIPSubscribe::EventPackage::EventPackage | ( | const PString & | str | ) | `[inline, explicit]`

SIPSubscribe::EventPackage::EventPackage | ( | const char * | str | ) | `[inline, explicit]`

## Member Function Documentation

virtual Comparison SIPSubscribe::EventPackage::InternalCompare | ( | PINDEX | offset,
|  | PINDEX | length,
|  | const char * | cstr |
| ) |  |  | const`[virtual]`

bool SIPSubscribe::EventPackage::IsWatcher | ( |  | ) | const

EventPackage& SIPSubscribe::EventPackage::operator= | ( | const char * | str | ) | `[inline]`

EventPackage& SIPSubscribe::EventPackage::operator= | ( | const PString & | str | ) | `[inline]`

EventPackage& SIPSubscribe::EventPackage::operator= | ( | PredefinedPackages | pkg | ) |

bool SIPSubscribe::EventPackage::operator== | ( | const char * | cstr | ) | const`[inline]`

bool SIPSubscribe::EventPackage::operator== | ( | const PString & | str | ) | const`[inline]`

bool SIPSubscribe::EventPackage::operator== | ( | PredefinedPackages | pkg | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sippdu.h